## ecryptfs-utils 111ubuntu5+debbie

=== debian/changelog ===
ecryptfs-utils (111ubuntu5+debbie) artful; urgency=medium

  [ Alberto Pianon ]
  * debian/patches/swapfile-support.patch: Fix swapfile support. (LP: #1670336)
    - src/utils/ecryptfs-setup-swap: revise script for a world with swapfiles.
    - src/utils/ecryptfs-setup-swap: make sure we can restart ecryptfs with
      systemd.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 25 Sep 2017 13:31:22 -0400

ecryptfs-utils (111-0ubuntu4) yakkety; urgency=medium

  * Drop the hard-coded libnss3-1d dependency.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 13 Sep 2016 11:34:34 +0200

ecryptfs-utils (111-0ubuntu3) yakkety; urgency=medium

  * No-change rebuild for NSS.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 13 Sep 2016 09:34:49 +0200

ecryptfs-utils (111-0ubuntu2) yakkety; urgency=medium

  * SECURITY UPDATE: Information exposure via unencrypted swap partitions. The
    swap partition was not configured to use encryption when GPT partitioning
    was in use on NVMe and MMC drives.
    - debian/patches/CVE-2016-6224.patch: Properly handle the formatting of
      the path to swap partitions on NVMe and MMC drives so that they're
      correctly marked as not to be automatically mounted by systemd. Based on
      upstream patch from Jason Gerard DeRose. (LP: #1597154)
    - debian/ecryptfs-utils.postinst: Fix any unencrypted GPT swap partitions
      that have mistakenly remained marked as auto mount. This should only
      modify the swap partitions on systems that ecryptfs-setup-swap has been
      used on. (LP: #1447282, LP: #1597154)
    - CVE-2016-6224

 -- Tyler Hicks <tyhicks@canonical.com>  Thu, 14 Jul 2016 18:48:53 -0500

ecryptfs-utils (111-0ubuntu1) xenial; urgency=medium

  * src/utils/ecryptfs-setup-private: LP: #1328689
    - fix a long standing bug, where setting up an encrypted private,
      encrypted home, or migrating to an encrypted home did not work
      correctly over ssh sessions
    - the root cause of the bug is some complexity in the handling of
      user keyrings and session keyrings
    - the long term solution would be to correctly use session keyrings
    - the short term solution is to continue linking user and session
      keyrings
  * xenial

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 26 Feb 2016 17:58:16 -0600

ecryptfs-utils (110) xenial; urgency=medium

  [ Tyler Hicks ]
  * Remove unnecessary dependencies in the Debian packaging (LP: #1548975)
    - debian/control: Remove opencryptoki from ecryptfs-utils
      Suggests and libopencryptoki-dev from libecryptfs-dev Depends as
      openCryptoki is not a dependency of eCryptfs.
    - debian/rules: Remove openCryptoki related logic since it was not being
      used and is no longer needed
    - debian/control: Remove libtspi-dev from libecryptfs-dev Depends since
      --disable-tspi is passed to the configure script
    - debian/control: Remove libpkcs11-helper1-dev from libecryptfs-dev
      Depends since --disable-pkcs11-helper is passed to the configure script
    - debian/control: Remove libgpg-error-dev and libgpgme11-dev from
      libecryptfs-dev Depends since --disable-gpg is passed to the configure
      script
    - debian/control: Remove libgcrypt11-dev from Build-Depends and
      libecryptfs-dev Depends since --enable-nss is passed to the configure
      script to use NSS instead of Libgcrypt
    - debian/control: Remove libkeyutils-dev and libpam0g-dev from
      libecryptfs-dev Depends since these are build-time dependencies and not
      run-time dependencies

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 23 Feb 2016 17:33:10 -0500

ecryptfs-utils (109) xenial; urgency=medium

  [ Maikel ]
  * doc/manpage/ecryptfs-migrate-home.8: Fix typos in man page (LP: #1518787)

  [ Kylie McClain ]
  * src/utils/mount.ecryptfs.c, src/utils/mount.ecryptfs_private.c: Fix build
    issues on musl libc (LP: #1514625)

  [ Colin Ian King ]
  * src/daemon/main.c:
    - Static analysis with Clang's scan-build shows that we can potentially
      overflow the input buffer if the input is equal or more than the buffer
      size.  Need to guard against this by:
      1. Only reading in input_size - 1  chars
      2. Checking earlier on to see if input_size is value to insure that we
         read in at least 1 char

  [ Tyler Hicks ]
  * src/utils/mount.ecryptfs_private.c:
    - Refuse to mount over non-standard filesystems. Mounting over
      certain types filesystems is a red flag that the user is doing
      something devious, such as mounting over the /proc/self symlink
      target with malicious content in order to confuse programs that may
      attempt to parse those files. (LP: #1530566)

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 22 Jan 2016 10:07:42 -0600

ecryptfs-utils (108) vivid; urgency=medium

  [ Martin Pitt ]
  * src/utils/ecryptfs-setup-swap:
    - Add setup-swap-check-links.patch: When commenting out existing swap, also
      consider device symlinks like /dev/mapper/ubuntu--vg-swap_1 or
      /dev/disks/by-uuid/ into account. Fixes broken cryptswap under LVM and
      manual setups. (LP: #1453738)
  * src/utils/ecryptfs-setup-swap, debian/ecryptfs-utils.postinst:
    - On upgrade, uncomment underlying
      unencrypted swap partitions that are referred to by a device link when
      crypttab and fstab have a "cryptswap*" device referring to them.
  * debian/control, debian/libecryptfs0.install,
    debian/libecryptfs0.links, debian/libecryptfs0.shlibs:
    - Rename libecryptfs0 to libecryptfs1 and adjust the packaging. It has
      actually shipped libecryptfs.so.1 since at least trusty. Add
      C/R/P: libecryptfs0 for smoother upgrades, this needs to be kept until
      after 16.04 LTS.

  [ Tyler Hicks ]
  * src/utils/mount.ecryptfs_private.c: Implement proper option parsing to
    restore the -f option when unmounting and display a helpful usage message
    (LP: #1454388)
  * src/utils/mount.ecryptfs_private.c: Add an option, -d, to

