=== debian/control ===
Source: ecryptfs-utils
Section: misc
Priority: optional
Maintainer: Dustin Kirkland <kirkland@ubuntu.com>
XSBC-Original-Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper (>= 8),
 distro-info,
 dh-autoreconf,
 dh-python,
 intltool,
 libglib2.0-dev,
 libkeyutils-dev,
 libnss3-dev,
 libpam0g-dev,
 pkg-config,
 python-dev,
 swig
Standards-Version: 3.9.3
Homepage: http://ecryptfs.org/
Vcs-Bzr: https://code.launchpad.net/~ecryptfs/ecryptfs/trunk
Vcs-Browser: http://bazaar.launchpad.net/~ecryptfs/ecryptfs/trunk/files

Package: ecryptfs-utils
Section: misc
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 gettext-base,
 keyutils,
 libpam-runtime (>= 1.0.1-6)
Recommends:
 cryptsetup,
 lsof,
 rsync
Suggests:
 zescrow-client
Description: ecryptfs cryptographic filesystem (utilities)
 eCryptfs is a POSIX-compliant enterprise-class stacked cryptographic filesystem
 for Linux.
 .
 It provides advanced key management and policy features. eCryptfs stores
 cryptographic metadata in the header of each file written, so that encrypted
 files can be copied between hosts; the file will be decryptable with the proper
 key, and there is no need to keep track of any additional information aside
 from what is already in the encrypted file itself. Think of eCryptfs as a sort
 of "gnupgfs".
 .
 eCryptfs is a native Linux filesystem. The kernel module component of eCryptfs
 is part of the Linux kernel since 2.6.19.
 .
 This package contains the userland utilities.

Package: ecryptfs-utils-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 ${misc:Depends}, ecryptfs-utils (= ${binary:Version}),
 libecryptfs1 (= ${binary:Version}), libecryptfs-dev (= ${binary:Version})
Description: ecryptfs cryptographic filesystem (utilities; debug)
 eCryptfs is a POSIX-compliant enterprise-class stacked cryptographic filesystem
 for Linux.
 .
 This package contains the debugging symbols.

Package: libecryptfs1
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
# all libecryptfs0 versions since trusty already shipped libecryptfs.so.1
Conflicts: libecryptfs0
Replaces: libecryptfs0
Provides: libecryptfs0
Description: ecryptfs cryptographic filesystem (library)
 eCryptfs is a POSIX-compliant enterprise-class stacked cryptographic filesystem
 for Linux.
 .
 This package contains the library.

Package: libecryptfs-dev
Section: libdevel
Architecture: any
Depends:
 ${misc:Depends},
 libecryptfs1 (= ${binary:Version})
Description: ecryptfs cryptographic filesystem (development)
 eCryptfs is a POSIX-compliant enterprise-class stacked cryptographic filesystem
 for Linux.
 .
 This package contains the development files.

Package: python-ecryptfs
Section: python
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}
Breaks: ecryptfs-utils (<< 87-1~)
Replaces: ecryptfs-utils (<< 87-1~)
Description: ecryptfs cryptographic filesystem (python)
 eCryptfs is a POSIX-compliant enterprise-class stacked cryptographic filesystem
 for Linux.
 .
 This package contains the python module.
